# Class MediatedPayoutTxPublishedMessage

#### Hierarchy

- unknown
  - MediatedPayoutTxPublishedMessage

- Defined in src/protobuf/pb_pb.d.ts:1513
- Defined in src/protobuf/pb_pb.d.ts:1538

#####
Index

### Constructors

constructor

### Methods

clearSenderNodeAddress
getPayoutTx
getPayoutTx_asB64
getPayoutTx_asU8
getSenderNodeAddress
getTradeId
getUid
hasSenderNodeAddress
serializeBinary
setPayoutTx
setSenderNodeAddress
setTradeId
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MediatedPayoutTxPublishedMessage(): MediatedPayoutTxPublishedMessage

- #### Returns MediatedPayoutTxPublishedMessage

  Inherited from jspb.Message.constructor

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): MediatedPayoutTxPublishedMessage

- #### Returns MediatedPayoutTxPublishedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1525

### getPayoutTx

- getPayoutTx(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1517

### getPayoutTx_asB64

- getPayoutTx_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1519

### getPayoutTx_asU8

- getPayoutTx_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1518

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1522

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1514

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1527

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1524

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1530

### setPayoutTx

- setPayoutTx(value: string | Uint8Array): MediatedPayoutTxPublishedMessage

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns MediatedPayoutTxPublishedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1520

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): MediatedPayoutTxPublishedMessage

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns MediatedPayoutTxPublishedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1523

### setTradeId

- setTradeId(value: string): MediatedPayoutTxPublishedMessage

- #### Parameters

  - ##### value: string

  #### Returns MediatedPayoutTxPublishedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1515

### setUid

- setUid(value: string): MediatedPayoutTxPublishedMessage

- #### Parameters

  - ##### value: string

  #### Returns MediatedPayoutTxPublishedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1528

### toObject

- toObject(includeInstance?: boolean): MediatedPayoutTxPublishedMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MediatedPayoutTxPublishedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1531

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MediatedPayoutTxPublishedMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MediatedPayoutTxPublishedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1534

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MediatedPayoutTxPublishedMessage, reader: BinaryReader): MediatedPayoutTxPublishedMessage

- #### Parameters

  - ##### message: MediatedPayoutTxPublishedMessage

  - ##### reader: BinaryReader

  #### Returns MediatedPayoutTxPublishedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1535

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MediatedPayoutTxPublishedMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MediatedPayoutTxPublishedMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1533

### `Static` toObject

- toObject(includeInstance: boolean, msg: MediatedPayoutTxPublishedMessage): MediatedPayoutTxPublishedMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MediatedPayoutTxPublishedMessage

  #### Returns MediatedPayoutTxPublishedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1532

Generated using TypeDoc